/***************************************************************************
                          helpers.h  -  description
                             -------------------
    begin                : Tue Nov 20 10:39:00 MET 2001
    copyright            : (C) 2001 by Jrgen Vigna
    email                : jug@lyx.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <vector>

class QString;

class Helpers
{
public:
	static QString const getActualDate();
	static void removeTempFiles(const QStringList & filenames);
	///
	// special for filters
	///
	static void filters_save(std::vector<PrefFiltersState::Filters> const &);
	static void filters_load(std::vector<PrefFiltersState::Filters> &);
	///
	// special lists
	static void special_exclude_save(QStringList const &);
	static void special_always_save(QStringList const &);
	static void special_exclude_load(QStringList &);
	static void special_always_load(QStringList &);
	///
	// config helpers
	static void readConfig(PrefState &, bool nocmd = false);
	static bool writeConfig(PrefState const &);
	///
	// find a command in PATH
	static QString const findProgram(const QString & name, bool asdesc=false);
};
